"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ElasticsearchQueryBuilderOperatorNotContainsPlugin = void 0;
var _ElasticsearchQueryBuilderOperatorPlugin = require("../definition/ElasticsearchQueryBuilderOperatorPlugin");
var _normalize = require("../../normalize");
class ElasticsearchQueryBuilderOperatorNotContainsPlugin extends _ElasticsearchQueryBuilderOperatorPlugin.ElasticsearchQueryBuilderOperatorPlugin {
  name = "elasticsearch.queryBuilder.operator.notContains.default";
  getOperator() {
    return "not_contains";
  }
  apply(query, params) {
    const {
      value,
      basePath
    } = params;
    query.must_not.push({
      query_string: {
        allow_leading_wildcard: true,
        fields: [basePath],
        query: (0, _normalize.normalizeValueWithAsterisk)(value),
        default_operator: "and"
      }
    });
  }
}
exports.ElasticsearchQueryBuilderOperatorNotContainsPlugin = ElasticsearchQueryBuilderOperatorNotContainsPlugin;

//# sourceMappingURL=notContains.js.map